<?php
/*******************************************************************************
License:
	Copyright 2005 Ryan Morehart
	Licensed under the Apache License, Version 2.0 (the "License");
	you may not use this file except in compliance with the License.
	You may obtain a copy of the License at
	
	http://www.apache.org/licenses/LICENSE-2.0
	
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
	
Filename: /admin/help/help.php

Purpose: Displays the specified help topic or, if one isn't given or the one given doesn't
	exist, displays a list of available help topics.

Processed parameters: (TYPE - NAME - DESCRIPTION - DEFAULT)
	GET - topic - Which help topic to display
*******************************************************************************/

require_once '../includes/admin_standard.php';

// Check if a topic was supplied
if(isset($_GET['topic']) && ereg('^[_a-zA-Z0-9]+$', $_GET['topic']))
{
	// Create file name
	$topicFileName = './topics/' . $_GET['topic'] . '.php';
	
	// Attempt to open
	if(!file_exists($topicFileName))
	{
		$message = 'The topic you requested doesn\'t exist.';
		unset($topicFileName);
	}
}
else
{
	$message = 'Please choose a topic.';
}

// Check if we managed to open the topic or if we should make a list of available topics
if(!isset($topicFileName))
{
	$topicFileName = 'list.php';
}

include '../includes/header.php';
include $topicFileName;
include '../includes/footer.php';
?>