<?php
/*******************************************************************************
License:
	Copyright 2005 Ryan Morehart
	Licensed under the Apache License, Version 2.0 (the "License");
	you may not use this file except in compliance with the License.
	You may obtain a copy of the License at
	
	http://www.apache.org/licenses/LICENSE-2.0
	
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
	
Filename: /admin/help/list.php

Purpose: Generates list of available help topics.

Processed parameters: (TYPE - NAME - DESCRIPTION - DEFAULT)
	NONE
*******************************************************************************/

// Get topic "list" (files in topic directory)
$topicDir = opendir('./topics');
while (false !== ($topicName = readdir($topicDir))) {
	$topics[] = $topicName;
}
natcasesort($topics);
unset($topics[0]);
unset($topics[1]);

// Parse into nice html list
$output = '<h1>Help topics</h1>';
$output .= "\n<p>Please choose a help topic:</p>";
$output .= "\n<ul>";

foreach($topics as $current)
{
	$topicName = substr($current, 0, strpos($current, '.'));
	$output .= "\n\t<li><a href='help.php?topic=$topicName'>";
	$output .= ucwords(str_replace('_', ' ', $topicName));
	$output .= "</a></li>";
}

$output .= "\n</ul>";

echo $output;
?>