<?php
/*******************************************************************************
License:
	Copyright 2005 Ryan Morehart
	Licensed under the Apache License, Version 2.0 (the "License");
	you may not use this file except in compliance with the License.
	You may obtain a copy of the License at
	
	http://www.apache.org/licenses/LICENSE-2.0
	
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
	
Filename: /admin/images/edit.php

Purpose: Presents form with current image data and allows it to be changed and updated
	in the database.

Processed parameters: (TYPE - NAME - DESCRIPTION - DEFAULT)
	GET - name - Name of image to be edited.
*******************************************************************************/

require_once '../includes/admin_standard.php';

// Ensure an existent image was supplied
if(!isset($_GET['name']) && !isset($_SESSION['saved']['name']))
{
	returnToCaller('No image specified');
}

// Store the image name
if(isset($_GET['name']))
{
	$_SESSION['saved']['name'] = $_GET['name'];
}

//////////////
// Update information of image
if(isset($_POST['infosubmit']))
{
	if(setImageInfo($connection, $_SESSION['saved']['name'], $_POST['name'], $_POST['description']))
	{
		returnToCaller('The image information was successfully updated.');
	}
	else
	{
		$message = 'Image information update failed.';
	}
}

// Get image data
$image = getImage($connection, $_SESSION['saved']['name']);

include '../includes/header.php';
?>
<h1>Editing image <?php echo $_SESSION['saved']['name']; ?></h1>
<p>You are currently editing the information of one of the images in this site. If you would like to view this image,
it is available <a href='/showimage.php?name=<?php echo $_SESSION['saved']['name']; ?>' target='_blank'>here</a>.
(Link opens in a new window)</p>

<h2>Image info</h2>
<table>
	<tr>
		<td>Name:</td>
		<td><input type="text" maxlength="255" name="name" value="<?php echo $image['image_name']; ?>" /></td>
	</tr>
	<tr>
		<td>Description:</td>
		<td><input type="text" maxlength="255" name="description" value="<?php echo $image['description']; ?>" /></td>
	</tr>
</table>
<input type="submit" name="infosubmit" value="Update info" />

<?php
include '../includes/footer.php';
?>