<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
License:
	(NOTE: This license applies to all CMSmelborp code - This license does not apply to any
	files, images, HTML, or other content saved under CMSmelborp.)
	
	Copyright 2005 Ryan Morehart
	Licensed under the Apache License, Version 2.0 (the "License");
	you may not use this file except in compliance with the License.
	You may obtain a copy of the License at
	
	http://www.apache.org/licenses/LICENSE-2.0
	
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
	
Filename: /admin/includes/header.php (Note the this file is being used by <?php echo $_SERVER['PHP_SELF']; ?>.)

Purpose: Standard begining html for all administrative parts of CMSmelborp.	

Processed parameters: (TYPE - NAME - DESCRIPTION - DEFAULT)
	GET - message - Message to display to user.
-->
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	
	<title>
		CMSmelborp Admin
		<?php
		if(isset($_SESSION['user']))
		{
			echo " - " . $_SESSION['user'];
		}
		if(!isset($actionName))
		{
			$actionName = $_SERVER['PHP_SELF'];
			$beginPos = strrpos($actionName, '/') + 1;
			$endPos = strrpos($actionName, '.');
			$actionName = substr($actionName, $beginPos, $endPos - $beginPos);
			$actionName = ucwords(str_replace('_', ' ', $actionName));
		}
		echo " - $actionName";
		?>
	</title>
	
	<!-- Stylesheets -->
	<link href="../includes/stylesheets/normal.css" rel="stylesheet" type="text/css">
	
	<?php
	// Link any more stylesheets requested
	if(isset($_SESSION['style']))
	{
		foreach($_SESSION['style'] as $current)
		{
			?>
			<link href="../includes/stylesheets/<?php echo $current; ?>.css" rel="stylesheet" type="text/css">
			<?php
		}
	}
	?>
	
	<!-- NOTHING WILL CEASE TO FUNCTION IF JAVASCRIPT IS DISABLED! :) -->
	<script language="javascript" type="text/javascript" src="../includes/javascript/normal.js"></script>
	
</head>

<body onload="fixTextInputs(); registerFormAreas();">

<div class="header">
	<!-- Begin header/banner -->
	
	CMSmelborp Admin <?php echo (isset($actionName) ? " - $actionName" : ''); ?>
	
	<div class="copyright">
		<!-- Begin copyright information -->
		
		All code is copyright 2005 by Ryan Morehart. Database designed by Justin Baier.
		
		<!-- End copyright information -->
	</div>
	
	<div class="message">
		<!-- Begin special message display -->
		
		<?php
		// Put out any messages the user may need to see
		if(isset($_GET['message']))
		{
			$message = $_GET['message'];
		}
		if(isset($message))
		{
			echo $message;
		}
		?>
		
		<!-- End message display -->
	</div>
	
	<!-- End header -->
</div>

<div class="options">
	<!-- Begin navbar -->
	
	<strong>Manage:</strong><br />
	<?php
	include_once "../includes/actionlist.php";
	foreach($available_site_actions as $current)
	{
		echo "\n\t\t<a href='../{$current}/list.php'>";
		echo ucwords(str_replace('_', ' ', $current));
		echo "</a><br />";
	}
	?>
	<br />
	
	<strong>User:</strong><br />
	<?php
	if(isset($_SESSION['user']))
	{
		foreach($available_user_actions as $current)
		{
			list($type, $category) = explode('-', $current, 2);
			echo "\n\t\t<a href='../{$category}/{$type}.php'>";
			echo ucwords(str_replace('_', ' ', $type));
			echo "</a><br />";
		}
	}
	else
	{
		echo "\n\n\t<a href='../misc/login.php'>Login</a>";
	}
	?>
	
	<div class="styleswitcher">
		<!-- Begin style changing links -->
		
		Additional stylesheets:<br />
		
		<?php
		// Get list of styles
		$dh  = opendir('../includes/stylesheets');
		$styles = array();
		while (false !== ($filename = readdir($dh)))
		{
			$styles[] = $filename;
		}
		sort($styles);
		$styles = array_filter($styles, create_function('$a',
			'return ($a != "." && $a != ".." && $a != "normal.css");'));
		
		// Display list of available styles
		foreach($styles as $current)
		{
			$name = substr($current, 0, strrpos($current, '.'));
			echo "<a href=\"" . $_SERVER['PHP_SELF'] . "?style=$name\">" . ucwords(str_replace('_', ' ', $name)) . "</a>";
			echo ' (' . (isset($_SESSION['style']) && array_search($name, $_SESSION['style']) !== false
				? 'on' : 'off') . ')';
			echo "<br />";
		}
		?>
		
		<!-- End style changing links -->
	</div>
	
	<!-- End options -->
</div>

<div class="main">
<!-- Begin main data -->

<form enctype="multipart/form-data" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
