/*******************************************************************************
License:
	Copyright 2005 Ryan Morehart
	Licensed under the Apache License, Version 2.0 (the "License");
	you may not use this file except in compliance with the License.
	You may obtain a copy of the License at
	
	http://www.apache.org/licenses/LICENSE-2.0
	
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
	
Filename: /admin/includes/javascript/settings.php

Purpose: Main javascript file for administrative end of website. Performs no necessary function!

Processed parameters: (TYPE - NAME - DESCRIPTION - DEFAULT)
	None
*******************************************************************************/

// Javascript to set class properties of text inputs.
// Used simply because it's easier than doing it in PHP and it isn't very critical.
function fixTextInputs()
{
	// Fetch all the input elements in the document.
	var inputs = document.getElementsByTagName("input");

	// Loop through the input elements
	for(var i = inputs.length; i != 0; i--)
	{
		// If the element is a text input (type=text), then set it's class to "text"
		if (inputs[i - 1].type == "text")
		{
			inputs[i - 1].className = "text";
		}
	}
}

// Gos through form areas (marked by spans) and registers them to note changes
function registerFormAreas()
{
	// Loop through the form areas
	var formAreas = document.getElementsByTagName("span");
	for(var i = formAreas.length; i != 0; i--)
	{
		formAreas[i - 1].onKeyPress = "noteChange(\"" + formAreas[i - 1].id + "\");";
	}
	
	// Now setup submit button to check for changes
	var submitButtons = document.getElementsByTagName("input");
	for(var i = submitButtons.length; i != 0; i--)
	{
		if(submitButtons[i - 1].type == "submit")
		{
			submitButtons.onClick = "alert(\"blar\");";
		}
	}
}

// Global variable used to save changes
var changes = new Array();

// Notes when/what is changed in a form
function noteChange(changeName)
{
	alert("Change made to " + changeName + ".");
}

// Checks for unsaved work in _different_ forms when a form is submitted
// The ignore parameter is what is currently being submitted (so we don't have to warn about that)
function checkForUnsaved(ignore)
{
	alert("This is where we'd check for changes.");
}