<?php
/*******************************************************************************
License:
	Copyright 2005 Ryan Morehart
	Licensed under the Apache License, Version 2.0 (the "License");
	you may not use this file except in compliance with the License.
	You may obtain a copy of the License at
	
	http://www.apache.org/licenses/LICENSE-2.0
	
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
	
Filename: /admin/includes/users.php

Purpose: User management functions.

Processed parameters: (TYPE - NAME - DESCRIPTION - DEFAULT)
	None
*******************************************************************************/

// List of common permission settings
$common_permissions = array(
	'All' => '+all',
	'All except user' => '+all-users',
	'Just pages' => '-all+pages',
	'Pages and images' => '-all+pages+images'
);
$common_permissions = array_flip($common_permissions);
natcasesort($common_permissions);
$common_permissions = array_flip($common_permissions);

function validateUser(&$connection, $username, $password)
{
	// Ensure username is valid
	if(!isValidUserName($connection, $username))
	{
		return false;
	}
	
	// Ensure a user with this password exists in the database
	$password = encryptPassword($password);
	$user = mysql_query("SELECT * FROM users WHERE user_name='$username' AND password='$password';", $connection);
	if($user === false)
	{
		return false;
	}
	
	// Get the permissions
	$user = mysql_fetch_array($user);
	if($user === false)
	{
		return false;
	}
	
	return $user['permissions'];
}

function getUserList(&$connection)
{
	// Get all users
	$users = mysql_query("SELECT * FROM users ORDER BY user_name;", $connection);
	$temp = fetchResults($users);
	return $temp;
}

function getUser(&$connection, $username)
{
	// Ensure username is valid
	if(!isValidUserName($connection, $username))
	{
		return false;
	}
	
	// Get user
	$user = mysql_query("SELECT * FROM users WHERE user_name='$username';", $connection);
	$user = mysql_fetch_array($user);
	if($user === false)
	{
		return false;
	}
	
	return $user;
}

function createUser(&$connection, $username, $password, $permissions)
{
	// Ensure username is valid
	if(!isValidUserName($connection, $username) && !userExists($connection, $username))
	{
		return false;
	}
	
	// Attempt to insert into database
	$success = mysql_query("INSERT INTO users VALUES('$username', '"
		. encryptPassword($password) . "', '$permissions');", $connection);
	if($success === false)
	{
		return false;
	}
	
	return true;
}

function setUserInfo(&$connection, $oldUsername, $newUsername, $password = false)
{
	// Ensure user names are valid
	if(!isValidUserName($connection, $oldUsername, true)
		|| !isValidUserName($connection, $newUsername)
		|| ($newUsername != $oldUsername && userExists($connection, $newUsername)))
	{
		return false;
	}
	
	// Check if we are supposed to update the password (not blank/false)
	if(empty($password) || $password === false)
	{
		// Don't update password
		$success = mysql_query("UPDATE users SET user_name='$newUsername'"
			. " WHERE user_name='$oldUsername';", $connection);
	}
	else
	{
		// Update password
		$success = mysql_query("UPDATE users SET user_name='$newUsername', password='"
			. addslashes(encryptPassword($password)) . "' WHERE user_name='$oldUsername';", $connection);
	}
	
	if($success === false)
	{
		return true;
	}
	
	return true;
}

function setUserPermissions(&$connection, $username, $permissions)
{
	// Ensure the user name is valid
	if(!isValidUserName($connection, $username, true))
	{
		return false;
	}
	
	// Update permissions
	$success = mysql_query("UPDATE users SET permissions='"
		. addslashes($permissions) . "' WHERE user_name='$username';", $connection);
	if($success === false)
	{
		return true;
	}
	
	return true;
}

function deleteUser(&$connection, $username)
{
	// Ensure username is valid
	if(!isValidUserName($connection, $username, true))
	{
		return false;
	}
	
	// Attempt to insert into database
	$success = mysql_query("DELETE FROM users WHERE user_name='$username';", $connection);
	if($success === false)
	{
		return false;
	}
	
	return true;
}

function checkPermissions(&$connection, $permissions, $actionCat, $actionType = '')
{
	global $default_permission;
	
	// Action specifically disallowed?
	if(strstr($permissions, "-$actionCat.$actionType"))
	{
		return false;
	}
	
	// Action specifically allowed?
	if(strstr($permissions, "+$actionCat.$actionType"))
	{
		return true;
	}
	
	// Category disallowed?  (we already checked the specific instance of particular instance being allowed)
	if(strstr($permissions, "-$actionCat"))
	{
		return false;
	}
	
	// Category allowed? (we already checked the specific instance of particular instance being disallowed)
	if(strstr($permissions, "+$actionCat"))
	{
		return true;
	}
	
	// Category is misc? (there's nothing they can do there, and vital things like the welcome screen are there)
	if($actionCat == 'misc')
	{
		return true;
	}
	
	// Any action denied
	if(strstr($permissions, "-all"))
	{
		return false;
	}
	
	// Any action allowed
	if(strstr($permissions, "+all"))
	{
		return true;
	}
	
	// Use default setting
	return (strtolower($default_permission) == 'allow' ? true : false);
}

function encryptPassword($password)
{
	return md5($password);
}

function isValidUserName(&$connection, $name, $isExistent = false)
{
	// Ensure it conains only valid characters
	if(!ereg('^[_a-zA-Z0-9]+$', $name))
	{
		return false;
	}
	
	// Check if this name is already in the database (if we are supposed to)
	if($isExistent)
	{
		return userExists($connection, $name);
	}
	else
	{
		return true;
	}
}

function userExists(&$connection, $name)
{
	$exists = mysql_query("SELECT * FROM users WHERE user_name='$name';");
	if(mysql_fetch_array($exists, MYSQL_ASSOC) !== false)
	{
		return true;
	}
	else
	{
		return false;
	}
}
?>