<?php
/*******************************************************************************
License:
	Copyright 2005 Ryan Morehart
	Licensed under the Apache License, Version 2.0 (the "License");
	you may not use this file except in compliance with the License.
	You may obtain a copy of the License at
	
	http://www.apache.org/licenses/LICENSE-2.0
	
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
	
Filename: /admin/includes/writetolog.php

Purpose: Writes administrative page request to log.

Processed parameters: (TYPE - NAME - DESCRIPTION - DEFAULT)
	None
*******************************************************************************/

// Write to log
if(!addLogEntry($connection, time(), $actionCat, $actionType, $_SESSION['user']))
{
	// This may get overwritten, but give it a try
	$message = 'Log entry was not saved successfully.';
	
	// Check if we _must_ write to the log to allow access
	if($require_log_write == true)
	{
		?>
		<html>
		<head>
			<title>Log write failed</title>
		</head>
		<body>
			<h1>Log write failed</h1>
			<p>The administrative log entry could not be written and settings for this website specify
			that all administrative actions must be logged. Please contact the webmaster of this site at
			<a href="mailto:$administrator_email"><?php echo $administrator_email; ?></a>to resolve
			the problem.</p>
		</body>
		</html>
		<?php
	}
}
?>