<?php
/*******************************************************************************
License:
	Copyright 2005 Ryan Morehart
	Licensed under the Apache License, Version 2.0 (the "License");
	you may not use this file except in compliance with the License.
	You may obtain a copy of the License at
	
	http://www.apache.org/licenses/LICENSE-2.0
	
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
	
Filename: /admin/misc/change_password.php

Purpose: Allows users to change their password.

Processed parameters: (TYPE - NAME - DESCRIPTION - DEFAULT)
	NONE
*******************************************************************************/

require_once '../includes/admin_standard.php';

// Check if password changing has been disabled
if($allow_password_change === false)
{
	$message = 'Password changing has been disabled by an administrator.';
	header("Location: ../misc/notallowed.php?message=" . urlencode($message));
	die();
}

///////////
// Change password
if(isset($_POST['change_password']))
{
	// Get user's current info
	$user = getUser($connection, $_SESSION['user']);
	
	// Check if the supplied current password and database password match
	if(encryptPassword($_POST['current']) == $user['password'])
	{
		// Make sure two new passwords match and aren't empty
		if(!empty($_POST['new1']) && !empty($_POST['new2']) && $_POST['new1'] == $_POST['new2'])
		{
			if(setUserInfo($connection, $_SESSION['saved']['user'], $_SESSION['saved']['user'], $_POST['new1']))
			{
				$message = 'Password changed.';
			}
			else
			{
				$message = 'Password not successfully changed.';
			}
		}
		else
		{
			$message = 'New passwords do not match or are empty.';
		}
	}
	else
	{
		$message = 'Your supplied "current" password doesn\'t match the one in the database.';
	}
}

include '../includes/header.php';
?>
<h1>Change password</h1>
<p>Use the form below to change your password. If you forget your password, there is no way to recover it,
but it can be reset. Please email <a href="mailto:<?php echo $administrator_email; ?>"><?php
echo $administrator_email; ?></a> with your request.</p>
<table>
	<tr>
		<td>Current password:</td>
		<td><input type="password" name="current" /></td>
	</tr>
	<tr>
		<td>New password:</td>
		<td><input type="password" name="new1" /></td>
	</tr>
	<tr>
		<td>New password: (confirm)</td>
		<td><input type="password" name="new2" /></td>
	</tr>
</table>
<input type="submit" name="change_password" value="Change" />
<?php
include '../includes/footer.php';
?>