<?php
/*******************************************************************************
License:
	Copyright 2005 Ryan Morehart
	Licensed under the Apache License, Version 2.0 (the "License");
	you may not use this file except in compliance with the License.
	You may obtain a copy of the License at
	
	http://www.apache.org/licenses/LICENSE-2.0
	
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
	
Filename: /admin/misc/notallowed.php

Purpose: Informs user that they do not have permission to perform the action they
	requested.

Processed parameters: (TYPE - NAME - DESCRIPTION - DEFAULT)
	NONE
*******************************************************************************/

// So we can get the administrtor's email
require_once '../../includes/user_standard.php';
require_once '../includes/users.php';
require_once '../includes/actionlist.php';

// Start session so the login/logout link is correct
session_start();

include '../includes/header.php';
?>
<h1>Not allowed</h1>
<p>Sorry, you don't have permission to perform this action. If you think you are seeing this message in error,
please email the administrator at <a href="mailto:<?php echo $administrator_email; ?>"><?php echo $administrator_email; ?></a></p>
<?php
include '../includes/footer.php';
?>