<?php
require_once '../includes/admin_standard.php';

// Ensure an existent page was supplied
if(!isset($_GET['name']) && !isset($_SESSION['name']))
{
	returnToCaller('No user specified');
}

// Store the page name
if(isset($_GET['name']))
{
	$_SESSION['name'] = $_GET['name'];
}

///////////
// Become user confirmed
if(isset($_POST['becomeconfirm']))
{
	// Get new user
	$user = getUser($connection, $_SESSION['name']);
	if($user !== false)
	{
		// Set session info
		$_SESSION['user'] = $user['user_name'];
		$_SESSION['permissions'] = $user['permissions'];
		
		// Act like they just logged in
		$message = 'You have successfully switched users.';
		header("Location: ../misc/welcome.php?message=" . urlencode($message));
	}
	else
	{
		$message = 'The user switch failed.';
	}
}

include '../includes/header.php';
?>
<h1>Switching users</h1>
<p>You are about to "become" or impersonate <?php echo $_SESSION['name']; ?>. Are you sure you want to do this?
You will have to log out and back in to become yourself again, unless the user you are becoming also has
impersonation rights.</p>
<input type="submit" name="becomeconfirm" value="Become user" />
<?php
include '../includes/footer.php';
?>