<?php
/*******************************************************************************
License:
	Copyright 2005 Ryan Morehart
	Licensed under the Apache License, Version 2.0 (the "License");
	you may not use this file except in compliance with the License.
	You may obtain a copy of the License at
	
	http://www.apache.org/licenses/LICENSE-2.0
	
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
	
Filename: /admin/users/delete.php

Purpose: Prompts on deletion of users.

Processed parameters: (TYPE - NAME - DESCRIPTION - DEFAULT)
	GET - name - Comma separated list of user names which are going to
		be deleted.
*******************************************************************************/

require_once '../includes/admin_standard.php';

// Ensure name(s) for user(s) were supplied
if(!isset($_GET['name']) && !isset($_SESSION['name']))
{
	returnToCaller('No user was specified.');
}

// Store the user name(s)
if(isset($_GET['name']))
{
	$_SESSION['name'] = $_GET['name'];
}

/////////
// Delete confirmed
if(isset($_POST['deleteconfirm']))
{
	// Go through each template and remove from database
	// Save failed deletions here:
	$failed = array();
	$users = explode(',', $_SESSION['name']);
	foreach($users as $name)
	{
		if(deleteUser($connection, $name) !== true)
		{
			$failed[] = $name;
		}
	}
	
	// Check if anything failed. Create error message if they did
	if(empty($failed))
	{
		$message = 'The user(s) were successfully deleted.';
	}
	else
	{
		$message = 'The following users were <strong>not</strong> successfully removed: ';
		$message .= implode(', ', $failed);
	}
	
	returnToCaller($message);
}

include '../includes/header.php';
?>
<h1>Removing user(s)</h1>
<p>You are about to remove users from this site. Click the delete button to confirm.</p>

<p>You are about to remove the following users:
<table class='itemlist'>
<tr class='head'>
	<td>Username</td>
</tr>
<?php
// Generate list from input parameters
$users = explode(',', $_SESSION['name']);
natcasesort($users);

// Ensure validity of each. Display each valid one
foreach($users as $name)
{
	?>
	<tr>
		<td><?php echo $name; ?></td>
	</tr>
	<?php
}
?>
</table>
<input type="submit" value="Delete" name="deleteconfirm" /> <input type="reset" value="Back" onClick="javascript:history.go(-1);" />
</p>
<?php
include '../includes/footer.php';
?>