<?php
/*******************************************************************************
License:
	Copyright 2005 Ryan Morehart
	Licensed under the Apache License, Version 2.0 (the "License");
	you may not use this file except in compliance with the License.
	You may obtain a copy of the License at
	
	http://www.apache.org/licenses/LICENSE-2.0
	
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
	
Filename: /includes/settings.php

Purpose: Holds site wide settings. All configuration to CMSmelborp is done by editing
	this file.

Processed parameters: (TYPE - NAME - DESCRIPTION - DEFAULT)
	None
*******************************************************************************/

//////////////
// Database settings
$db_host	= '127.0.0.1';					// Address where the MySQL server is located. Most often
											// this is 127.0.0.1
$db_user	= 'your_db_user';				// User for connecting to database
$db_pass	= 'your_db_password';			// Password for user
$db_data	= 'your_db_name';				// Name of database CMSmelborp should use

//////////////
// Site
// General
$administrator_email	= 'morehart@gmail.com';
$default_page			= 'main';				// What to display if no page is specified
$error_page				= 'error';				// What to display if a non-existent page is specified
$page_expiration_time	= 2;					// Number of minutes before a generated page expires
$process_php_in_html	= false;				// Whether to evaluate php in templates

// Debug
$debug_mode						= false;		// Website in debug mode (prints extra data).
$enable_benchmarking			= true;			// Allows you to see how many seconds/microseconds a page took to produce
$benchmark_times				= 20;			// Times to run a file to get the average run time
$lock_external_site				= false;		// Set to true to prevent page displays
$template_display_loop_repeat		= 2;		// Number of times to auto-generated loop displays
$template_preview_data_max_length	= 20;		// Max length of the fake preview data produced by showtemplate.php
$template_preview_data_min_length	= 5;		// Min "

// Storage
$external_files_directory = 'new_external_files';	// Where do external files go when they are first uploaded?
$session_store_path = false;					// Where should sessions be stored? (false for default)

///////////////
// Administrative settings
// Debug
$lock_administrative_site	 = false;			// Set to true to prevent use of the admin section of site

// Permissions
$defaut_permission		= 'deny';				// Set to "allow" to default to allowing users to perform actions
												// if not specifically set. Not case sensitive. (Default: deny)
$allow_password_change	= true;					// Allow anyone to change their password

// Log
$write_to_log			= false;				// If set to true, attempts to log administrative actions
$admin_log_name			= 'admin.log';			// Name of the admin log (will be in the main admin directory)
$require_log_write		= true;					// If set to true, will die if the admin log file can not be written
$logfile_newline_style	= "\r\n";				// Type of newline to use in log. Unix: "\n" Windows: "\r\n"

// Appearance
$admin_text_box_height	= 5;					// Size of text boxes used for getting page
$admin_text_box_width	= 80;					// content (in chars)
$admin_large_text_box_height	= 20;			// Size of the larger text boxes (such as template html
$admin_large_text_box_width		= 100;			// and log file view) (in chars)

// Misc.
$page_data_sep	= '..&..';						// You probably don't need to change this stuff
$page_name_sep	= '..=..';						// |
$admin_data_marker	= '__page_data_';			// V
$linked_data_page_name_prefix	= '__linked_data_page_';


//////////////////
// Automatic configuration
// Relavative root
if(!isset($relative_root))
{
	$possible_depths = array('.', '../..');
	foreach($possible_depths as $current)
	{
		if(file_exists($current . '/showpage.php'))
		{
			$relative_root = $current;
			break;
		}
	}
}

// Set actual session store path
if($session_store_path != false)
{
	$session_store_path = $relative_root . '/' . $session_store_path;
	session_save_path($session_store_path);
}
?>